﻿if ((GetLocale() == "enUS") or (LFMonitor.TEXT == nil)) then 

-- Chat commands
	LFMonitor.CHAT_COMMANDS = {"lfmonitor", "lfmon"}

-- Whisper command
	LFMonitor.WHISPER_COMMAND = "/w"

--fonts
	LFMonitor.FONT_FRIZ = "Friz Quadrata TT"
	LFMonitor.FONT_ARIALN = "Arial Narrow"
	LFMonitor.FONT_SKURRI = "Skurri"
	LFMonitor.FONT_MORPHEUS = "Morpheus"

--timestamps
	LFMonitor.TS_12HR1 = "12h h:m"
	LFMonitor.TS_12HR2 = "12h h:m:s"
	LFMonitor.TS_12HR3 = "12h h:m am/pm"
	LFMonitor.TS_12HR4 = "12h h:m:s am/pm"
	LFMonitor.TS_24HR1 = "24h h:m"
	LFMonitor.TS_24HR2 = "24h h:m:s"

--appearance options
	LFMonitor.APPEARANCE_OPTIONS = "Appearance options"
	LFMonitor.TIMESTAMP = "Timestamp"
	LFMonitor.MESSAGE_TEXT = "Message text"
	LFMonitor.TEXT = "Text"
	LFMonitor.WINDOW = "Window"
	LFMonitor.FONT = "Font"
	LFMonitor.TIMESTAMP_FORMAT = "Timestamp format"

	if (GetCVar("locale") == "enGB") then

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colours"

	else

		LFMonitor.CLASS_COLOUR_TEXT = "Use class colors"

	end

--profession options
	LFMonitor.SET_LOOKING_FOR = "Set the 'Looking For' professions to monitor"
	LFMonitor.PROF = "Looking for"

--responses options
	LFMonitor.RESPONSES = "Responses"
	LFMonitor.RESPONSES_TO_REQUESTS = "Responses to 'Looking For' requests"
	LFMonitor.SET_RESPONSES = "Set the responses to provide to requests"
	LFMonitor.WHISPER_ME = "Whisper me for prices"
	LFMonitor.LFG_RESPONSE = "Invite"

--general options
	LFMonitor.GENERAL_OPTIONS = "General options"
	LFMonitor.SEND_CRAFTING_LIST = "Send crafting list"
	LFMonitor.HIDE_IN_INSTANCES = "Hide in instances"
	LFMonitor.HIDE_IN_COMBAT = "Hide in combat"
	LFMonitor.SHOW_IN_CITIES = "Only show in major cities and inns"
	LFMonitor.TRADE_CHANNEL = "Only show when in Trade channel"
	LFMonitor.CRAFTING_LIST = "The crafting list will only be shown if the relevant crafting panel has been opened at least once since LFMonitor was installed. It will update each time the panel is opened"
	LFMonitor.SOUND_ON = "Sound on"
	LFMonitor.LOCK = "Lock position and size"
	LFMonitor.CHANNELS = "Monitored channels"

--custom search
	LFMonitor.CUSTOM_OPTIONS = "Custom monitoring"
	LFMonitor.CUSTOM_INST = "Enter a word or phrase you would like monitored"
	LFMonitor.CUSTOM_BASIC = "Basic search"
	LFMonitor.CUSTOM_ADV = "Advanced search"
	LFMonitor.CUSTOM_WARNING = "The box below will accept any lua pattern matching expression. This is for advanced users only. More information on lua patterns can be found at |cff00ff00http://www.wowwiki.com/Pattern_matching"
	LFMonitor.CUSTOM_CHANNELS = "Monitor Custom Channels"

--sounds
	LFMonitor.COINS = "Coins"
	LFMonitor.WINDOW_TAB = "Window tab"
	LFMonitor.MENU_OPENING = "Menu opening"
	LFMonitor.MINIMAP_OPENING = "Minimap opening"
	LFMonitor.SPELLBOOK_OPENING = "Spellbook opening"
	LFMonitor.SPELLBOOK_CLOSING = "Spellbook closing"
	LFMonitor.TALENTS_OPENING = "Talents opening"
	LFMonitor.QUEST_LOG_OPENING = "Quest log opening"
	LFMonitor.FISHING = "Fishing"
	LFMonitor.DISCOVERY = "Discovery"
	LFMonitor.APPLAUSE = "Applause"
	LFMonitor.BEEP = "Beep"
	LFMonitor.CLICK = "Click"
	LFMonitor.DOG_BARKING = "Dog barking"
	LFMonitor.MOUSE_CLICK = "Mouse click"
	LFMonitor.STAPLER = "Stapler"

--jewelcrafting
	LFMonitor.JEWELCRAFTING = "Jewelcrafting"
	LFMonitor.jctxt = {"jc", "jcer", "jewelcrafter", "jc'er", "cutter","jw", "jewel"}

--enchanting
	LFMonitor.ENCHANTING = "Enchanting"
	LFMonitor.enctxt = {"enchant", "enchanter", "chanter", "enc"}

--leatherworking
	LFMonitor.LEATHERWORKING = "Leatherworking"
	LFMonitor.lwtxt = {"lw", "lwer", "leatherworker"}

--inscription
	LFMonitor.INSCRIPTION = "Inscription"
	LFMonitor.instxt = {"inscription", "inscriptions", "inscriptioner", "inscriber", "inscripter", "inscriptor"}

--tailoring
	LFMonitor.TAILORING = "Tailoring"
	LFMonitor.tlrtxt = {"tailor", "tailer", "tailoring"}

--blacksmithing
	LFMonitor.BLACKSMITHING = "Blacksmithing"
	LFMonitor.bstxt = {"bs", "blacksmith", "blacksmither"}

--alchemy
	LFMonitor.ALCHEMY = "Alchemy"
	LFMonitor.alctxt = {"alchemist", "alc"}

--engineering
	LFMonitor.ENGINEERING = "Engineering"
	LFMonitor.engtxt = {"engineer", "eng", "engi"}

--want to buy
	LFMonitor.ALL_WTB_REQUESTS = "All 'Want to buy' requests"
	LFMonitor.wtbtxt = {"wtb", "want to buy"}

--want to sell
	LFMonitor.ALL_WTS_REQUESTS = "All 'Want to sell' requests"
	LFMonitor.wtstxt = {"wts", "want to sell", "selling"}

--looking for
	LFMonitor.ALL_LFG_REQUESTS = "All 'Looking for group' requests"
	LFMonitor.ALL_LF_CRAFTER_REQUESTS = "All 'Looking for crafter' requests"
	LFMonitor.GENERAL_LF_REQUESTS = "General 'Looking for' requests"
	LFMonitor.lftxt = {"lf", "looking for", "any"}
	LFMonitor.misctxt = {"crafter", "craft"}

--looking for work
	LFMonitor.ALL_LFW_REQUESTS = "All 'Looking for work' requests"
	LFMonitor.lfwtxt = {"lfw", "looking for work", "crafting", "cutting", "lf work"}

--looking for more
	LFMonitor.ALL_LFM_REQUESTS = "All 'Looking for more' requests"
	LFMonitor.LFM_OPTIONS = "'Looking For More' options"
	LFMonitor.LFM_LIMIT = "Limit LFM requests to the following classes"
	LFMonitor.lfmtxt = {"lf%d*m*"} -- lf(optional digit)m - matches lfm, lf1m, lf2m etc.
	LFMonitor.lfgtxt = {"lfg", "lfg/m", "looking for group"}
	LFMonitor.IGNORE_RAID = "Ignore raid settings"
	
--menu
-- in all the following section %s will be replaced with the player's name
	LFMonitor.AUTOREPLY = "Autoreply"
	LFMonitor.SEND_AUTO = "Send your autoresponse to %s"
	LFMonitor.IGNORE_LIST = "Add %s to your ignore list"
	LFMonitor.CLOSE_MENU = "Close this menu"
	LFMonitor.WHISPER = "Whisper %s"

--dialogues
	LFMonitor.CANNOT_SEND = "Cannot send an autoreponse - nothing to reply with!"
	LFMonitor.RESET_CONFIRM = "The will reset ALL LFMonitor's settings. Are you sure?"

--classes
	LFMonitor.DK_TXT = {"death knight", "deathknight", "dk"}
	LFMonitor.DR_TXT = {"druid", "drood"}
	LFMonitor.HU_TXT = {"hunter", "huntard"}
	LFMonitor.MA_TXT = {"mage"}
	LFMonitor.PA_TXT = {"paladin", "pally", "pala"}
	LFMonitor.PR_TXT = {"priest"}
	LFMonitor.RO_TXT = {"rogue", "rouge"}
	LFMonitor.SH_TXT = {"shaman", "shammy", "shamy"}
	LFMonitor.WA_TXT = {"warlock", "lock"}
	LFMonitor.WR_TXT = {"warrior", "war", "warr"}
	LFMonitor.TANK_TXT = {"tank", "mt", "ot", "tanks"}
	LFMonitor.HEALER_TXT = {"healer", "healers"}
	LFMonitor.DPS_TXT = {"dps", "dpser"}
	LFMonitor.CC_TXT = {"crowd control", "cc"}
	
	--raids
	LFMonitor.RAIDTITLE = "Set the raids to monitor"
	LFMonitor.RAIDS = {
		--{rname = "Blackwing Descent", level = 85, patt = {"blackwing", "bwd"}},
		--{rname = "Grim Batol", level = 85, patt = {"batol", "gb"}},
		--{rname = "Skywall", level = 85, patt = {"skywall"}},
		--{rname = "The Firelands", level = 85, patt = {"firelands", "fl"}},
		{rname = "Eye of Eternity", level = 80, patt = {"eoe%d*", "maly%d*", "malygos"}},
		{rname = "Icecrown Citadel", level = 80, patt = {"icc%d*", "marrowgar", "deathwhisper", "gunship", "saurfang", "rotface", "festergut", "putricide", "princes", "queen", "dreamwalker", "sindragosa", "lich", "lk"}},
		{rname = "Naxxramas", level = 80, patt = {"naxxramas", "naxx%d*", "anub'rekhan", "faerlina", "maexxna", "razuvious", "gothik", "horsemen", "patchwerk", "grobbulus", "gluth", "thaddius", "noth", "heigan", "loatheb", "sapphiron", "kel'thuzad"}},
		{rname = "Onyxia's Lair", level = 80, patt = {"onyxia%d*", "ony%d*"}},
		{rname = "Obsidium Sanctum", level = 80, patt = {"os", "os3d", "sarth", "sartharion"}},
		{rname = "Trial of the (Grand) Crusader", level = 80, patt = {"toc%d*", "togc%d*", "tgc%d*", "beasts", "champs", "jaraxxus", "twins", "anub"}},
		{rname = "Ruby Sanctum", level = 80, patt = {"rs%d*", "halion"}},
		{rname = "Ulduar", level = 80, patt = {"ulduar%d*", "leviathan", "ignis", "razorscale", "deconstructor", "assembly", "kologarn", "auriaya", "mimiron", "freya", "thorim", "hodir", "vezax", "yogg", "yogg-saron","algalon"}},
		{rname = "Vault of Archavon", level = 80, patt = {"voa%d*", "archavon", "koralon", "emalon", "toravon"}},
		{rname = "Battle for Mount Hyjal", level = 70, patt = {"hyjal", "bmj%d*", "winterchill", "anetheron", "kaz'rogal", "azgalor", "archimonde"}},
		{rname = "Black Temple", level = 70, patt = {"temple", "bt%d*", "naj'entus", "supremus", "akama", "gorefiend", "bloodboil", "reliquary", "shahraz", "illidari"}},
		{rname = "Gruul's Lair", level = 70, patt = {"gruul%d*", "gl%d*", "maulgar"}},
		{rname = "Karazhan", level = 70, patt = {"karazhan%d*", "kara%d*", "kz*d%", "attumen", "virtue", "moroes", "opera", "nightbane", "curator", "illhoof", "aran", "netherspite", "chess", "malchezaar"}},
		{rname = "Magtheridon's Lair", level = 70, patt = {"mag%d*", "magtheridon", "ml%d*"}},
		{rname = "Serpentshire Cavern", level = 70, patt = {"serpentshire", "ssc%d*", "hydross", "lurker", "leotheras", "karathress", "tidewalker", "vashj"}},
		{rname = "Sunwell Plateau", level = 70, patt = {"sunwell%d*", "kalecgos", "sathrovarr", "brutallus", "felmyst", "eredar", "m'uru", "entropius", "kil'jaeden"}},
		{rname = "Tempest Keep", level = 70, patt = {"tempest", "tk%d*", "al'ar", "reaver", "solarian", "sunstrider"}},
		{rname = "Zul'Aman", level = 70, patt = {"zul'aman", "za%d*", "nalorakk", "akil'zon", "jen'alai", "halazzi", "malacrass", "zul'jin"}},
		{rname = "Blackwing Lair", level = 60, patt = {"blackwing%d*", "bwl%d*", "razorgore", "vaelastrasz", "lashlayer", "firemaw", "ebonroc", "flamegor", "chromaggus", "nefarian"}},
		{rname = "Molten Core", level = 60, patt = {"molten", "mc%d*", "lucifron", "magmadar", "gehennas", "garr", "geddon", "shazzrah", "sulfuron", "golemagg", "majordomo", "ragnaros"}},
		{rname = "Ruins of Ahn'Qiraj", level = 60, patt = {"ahn'qiraj", "aq", "aq20", "kurinnaxx", "rajaxx", "moam", "buru", "ayamiss", "ossirian"}},
		{rname = "Temple of Ahn'Qiraj", level = 60, patt = {"ahn'qiraj", "aq", "aq40", "skeram", "sartura", "fankriss", "viscidus", "huhuran", "emperors", "sandworm", "c'thun"}},
		{rname = "Zul'Gurub", level = 60, patt = {"zul'gurub", "zg%d*", "jeklik", "venoxis", "mar'li", "thekal", "arlokk", "soulflayer", "mandokir", "hexxer", "gahz'ranka", "madness"}},
		{rname = "Upper Blackrock Spire", level = 56, patt = {"blackrock", "ubrs%d*", "emberseer", "flamewreath", "goraluk", "jed", "gyth", "blackhand", "valthalak", "drakkisath"}}
	}
	
end
